### Method

# Gimp Config serialize_to_string

#### Declaration [src]

    gchar*
    gimp_config_serialize_to_string (
      GimpConfig* config,
      gpointer data
    )

#### Description [src]

Serializes the object properties of `config` to a string.

Available since: | 2.4

#### Parameters

`data` | `gpointer`
| User data passed to the serialize implementation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A newly allocated NUL-terminated string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.